Summary:	K9copy is a Video DVD backup tool
Name:		k9copy
Version:	3.0.3
Release:	%mkrel 7
License:	GPLv2+
Group:		Video/Utilities
URL:		http://k9copy.sourceforge.net/
Source0:	http://sourceforge.net/projects/%{name}-reloaded/files/%{name}-%{version}.tar.gz
Patch0:		k9copy-3.0.3-installdirs.patch
Patch1:		k9copy-3.0.3-fix-desktop-files.patch
# use system libdvdread and libdvdnav
Patch2:		k9copy-3.0.3-unbundled_dvdread_dvdnav.patch
Patch3:		k9copy-3.0.3-FindAv.patch
Patch4:		k9copy-3.0.3-ffmpeg3.patch
BuildRequires:	kf5-macros
BuildRequires:	cmake(KF5Config)
BuildRequires:	cmake(KF5CoreAddons)
BuildRequires:	cmake(KF5DocTools)
BuildRequires:	cmake(KF5I18n)
BuildRequires:	cmake(KF5IconThemes)
BuildRequires:	cmake(KF5KDELibs4Support)
BuildRequires:	cmake(KF5KIO)
BuildRequires:	cmake(KF5Solid)
BuildRequires:	cmake(KF5Su)
BuildRequires:	cmake(KF5WidgetsAddons)
BuildRequires:	cmake(KF5XmlGui)
BuildRequires:	pkgconfig(phonon4qt5)
BuildRequires:	pkgconfig(Qt5Core)
BuildRequires:	pkgconfig(Qt5DBus)
BuildRequires:	pkgconfig(Qt5Gui)
BuildRequires:	pkgconfig(Qt5Widgets)
BuildRequires:	pkgconfig(Qt5X11Extras)
BuildRequires:	pkgconfig(Qt5Xml)
BuildRequires:	pkgconfig(dvdnav)
BuildRequires:	pkgconfig(dvdread)
BuildRequires:	pkgconfig(libmpeg2)
BuildRequires:	pkgconfig(x11)
BuildRequires:	ffmpeg-devel
BuildRequires:	xine1.2-devel

#dvd9 to dvd5
Requires:	dvdauthor
#default burning tools
#growisofs, (cdrkit-)genisoimage
Requires:	dvd+rw-tools
#wodim
Requires:	cdrkit
# udisks is used instead of hal
Requires:	udisks
#optional for preview
Recommends:	mplayer
#mpeg4 encoding
Recommends:	mencoder
#or (needed for matroska ?)
Recommends:	ffmpeg
Recommends:	twolame
#or (but a bit old)
#Recommends:	toolame
Recommends:	k3b

%description
k9copy is using various external programs like vamps and mencoder to
make backups of Video DVDs onto an other DVD or MPEG4 files.

This version of k9copy is for use with the Plasma 5 environment.

%prep
%setup -q -n k9copy
%autopatch -p1

# fix rights on source for the debug package
find . -name "*\.[ch]*" -exec chmod 644 {} +

%build
%cmake_kf5 -DQT5_BUILD=ON
%make_build

%install
%make_install -C build

%find_lang k9copy --with-html

%files -f k9copy.lang
%doc README
%{_kf5_bindir}/k9*
%{_kf5_applicationsdir}/k9copy*.desktop
%{_kf5_datadir}/k9copy/
%{_kf5_datadir}/kxmlgui5/k9copy/
%{_kf5_datadir}/solid/actions/k9copy*.desktop
%{_kf5_iconsdir}/hicolor/*/actions/k9copy.png


%changelog
* Tue May 02 2017 akien <akien> 3.0.3-7.mga6
+ Revision: 1098292
- Rebuild for ffmpeg 3.3

* Fri Mar 10 2017 daviddavid <daviddavid> 3.0.3-6.mga6
+ Revision: 1091291
- add patch to fix build with ffmpeg 3.0+

* Wed Oct 12 2016 daviddavid <daviddavid> 3.0.3-5.mga6
+ Revision: 1060508
- port to Qt5/Kf5
- unbundle libdvdread and libdvdnav (P2, P3)
- add patch to fix desktop files
- update description

* Wed Oct 12 2016 daviddavid <daviddavid> 3.0.3-4.mga6
+ Revision: 1060439
- fix desktop file Categories (mga#2449)

* Mon Feb 15 2016 umeabot <umeabot> 3.0.3-3.mga6
+ Revision: 960796
- Mageia 6 Mass Rebuild

* Sun Aug 23 2015 cjw <cjw> 3.0.3-2.mga6
+ Revision: 868401
- switch to xine-lib 1.2

* Sat Dec 20 2014 bcornec <bcornec> 3.0.3-1.mga5
+ Revision: 804322
- Update to upstream 3.0.3

* Sat Nov 29 2014 bcornec <bcornec> 3.0.0-1.mga5
+ Revision: 799829
- Update to upstream 3.0.0

* Wed Oct 15 2014 umeabot <umeabot> 2.3.8-5.mga5
+ Revision: 743387
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 2.3.8-4.mga5
+ Revision: 680912
- Mageia 5 Mass Rebuild

  + tv <tv>
    - s/uggests:/Recommends:/

* Sat Oct 19 2013 umeabot <umeabot> 2.3.8-3.mga4
+ Revision: 529700
- Mageia 4 Mass Rebuild

* Thu Jul 11 2013 fwang <fwang> 2.3.8-2.mga4
+ Revision: 452903
- use correct macro

* Mon Apr 08 2013 bcornec <bcornec> 2.3.8-2.mga3
+ Revision: 409093
- Align with type in C file
- Still trying to fix function type
- Still fixing function type
- Fix a type
- Fix a missing dlsym for usage of new function avio_rb64
- Still trying to improve ffmpeg k9copy patch
- Improved ffmpeg patch for k9copy (cur_st struct member was removed)
- Recode k9copy patch to work with ffmpeg new version based on previous patch
- Suppress call to ffmpeg patch as incorrect here.
- Fix Group and patch to apply with -p1
- Use commit 86848f246df9c31e84256a2d952e36b16d1b5c48 from Sl?\195?\161vek Banko <slavek.banko@axis.cz> to Fix build failures against ffmpeg up to version 0.11 (Cf: http://www.trinitydesktop.org/patches/1344901436:86848f246df9c31e84256a2d952e36b16d1b5c48.diff)
- remove useless perl call in spec for k9copy
- Adds sha1 for k9copy
- Upload k9copy 2.3.8
- Adds SOURCES dir for k9copy
- Adds SPECS dir for k9copy
- create missing current dir for k9copy

